<?php
// https://woocommerce.com/wp-content/plugins/woocommerce-to-sellsy/crons/generate-order.php?order_id=XXX
// https://woocommerce.com/wp-content/plugins/woocommerce-to-sellsy/crons/generate-order.php?order_id=65669


// Push WooCommerce orders to Sellsy
//
$_SERVER['SERVER_NAME'] = 'woocommerce.com';
$env = 'dev';
ini_set('max_execution_time', 0);

$order_id = (isset($_GET['order_id']) && !empty($_GET['order_id']) && is_numeric($_GET['order_id'])) ? $_GET['order_id'] : false;

if (!$order_id) {
	die();
}

$batch = [$order_id];

// Load the WordPress library.
require_once( dirname(__FILE__) . '/../../../../wp-load.php' );
wp();

// Plugin Woocommerce-to-Sellsy needs to be activated
if ( !is_plugin_active('woocommerce-to-sellsy/woocommerce-to-sellsy.php') ) {
    exit("The plugin WOOCOMMERCE TO SELLSY must be activated");
}

global $wpdb;


foreach ($batch as $order_id) {
	echo "Génération Order ID: " . $order_id . "<br />";
	sellsyOrders::generate_sellsy_order($order_id);
	echo " -- Fin Génération Order ID " . $order_id . "<br /><br />";
}
